{"openapi":"3.0.1","info":{"title":"AA AWB API - Add On","description":"The AWB Add on API can be used to create/update/retrieve shipment related data","contact":{"name":"American Airlines","url":"http://www.aa.com","email":"DL_Cargo_Ops_Squad@aa.com"},"version":"0.0.3"},"servers":[{"url":"/api/cgogha/scribble-api","variables":{"tenant":{"default":"American Airlines","description":"tenant Id of the application"}}}],"paths":{"/v2/awbs/{awb}/notes":{"get":{"tags":["AWB Notes"],"summary":"Retrieve AWB Notes information","description":"This operation shall be used to retrieve AWB notes information for an AWB from iCargo.","operationId":"getAWBNotes","parameters":[{"name":"awb","in":"path","description":"AirwayBill number with airline prefix","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AWBNotes"}}}}},"400":{"description":"'Resource Not found. Generated in these scenarios\n   1. AWB data not found\n   2. AWB Notes not found'\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"'Unauthorized. Generated in these scenarios:\n  1. unauthorized : Invalid/No token provided\n  2. invalid_token : Token has expired'\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected Server Error\n","content":{}},"default":{"description":"Unexpected Server Error","content":{}}}},"post":{"tags":["AWB Notes"],"summary":"AWB Notes information","description":"This operation shall be used to capture AWB notes for a single AWB against a specific operation.","operationId":"saveAWBNotes","parameters":[{"name":"awb","in":"path","description":"AirwayBill number with airline prefix","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AWBNotes"}}},"required":true},"responses":{"200":{"description":"Success status response","content":{"text/plain":{"schema":{"type":"string"},"example":"AWB Notes captured successfully"}}},"400":{"description":"'Business validation error. Generated in these scenarios\n  1. Invalid format - AWB\n  2. AWB data not found'\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"'Unauthorized. Generated in these scenarios:\n  1. unauthorized : Invalid/No token provided\n  2. invalid_token : Token has expired'\n","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected Server Error\n","content":{}},"default":{"description":"Unexpected Server Error","content":{}}},"x-codegen-request-body-name":"notes"}}},"components":{"schemas":{"AWBNotes":{"type":"object","properties":{"airport":{"type":"string","description":"Airport","example":"DFW"},"transaction_date":{"type":"string","description":"The airport date and time when the notes created specified in ISO-8601 date-time format","format":"date-time","example":"2024-01-30T16:39:57+05:00"},"operation":{"type":"string","example":"ACCEPTANCE","enum":["BOOKING","ACCEPTANCE","BUILDUP","OFFLOAD","BREAKDOWN","DELIVERY"]},"remarks":{"type":"string","description":"Remarks","example":"AWB not accepted due to missing document pouch"}},"description":"AWB Notes"},"Error":{"type":"object","properties":{"error_code":{"type":"string"},"error_description":{"type":"string"}},"description":"Error details"}}}}